com.aliyun.svideosdk.common.struct.project

## Class WaterMark

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.GlobalTrack
    - - com.aliyun.svideosdk.common.struct.project.WaterMark

- Direct Known Subclasses:
    TailWaterMark

      public class WaterMark
      extends GlobalTrack

  全局水印 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `GlobalTrack.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaterMark()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<ActionBase>` | `getActions()` 获取动效列表
    `float` | `getHeight()` 获取水印高度
    `Source` | `getSource()` 获取水印资源
    `float` | `getWidth()` 获取水印宽度
    `float` | `getX()` 获取x坐标,相对于屏幕的大小，范围[0 - 1]
    `float` | `getY()` 获取y坐标,相对于屏幕的大小，范围[0 - 1]
    `void` | `setHeight(float height)` 设置水印高度
    `void` | `setSource(Source source)` 设置水印资源
    `void` | `setWidth(float width)` 设置水印宽度
    `void` | `setX(float x)` 设置x坐标,相对于屏幕的大小，范围[0 - 1]
    `void` | `setY(float y)` 设置y坐标,相对于屏幕的大小，范围[0 - 1]

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaterMark

          public WaterMark()

  - ### Method Detail

    - #### getSource

          public Source getSource()

      获取水印资源
      Returns:
        水印资源

    - #### setSource

          public void setSource(Source source)

      设置水印资源
      Parameters:
        `source` - watermark resource

    - #### getWidth

          public float getWidth()

      获取水印宽度
      Returns:
        水印宽度

    - #### setWidth

          public void setWidth(float width)

      设置水印宽度
      Parameters:
        `width` - 水印宽度

    - #### getHeight

          public float getHeight()

      获取水印高度
      Returns:
        水印高度

    - #### setHeight

          public void setHeight(float height)

      设置水印高度
      Parameters:
        `height` - 水印高度

    - #### getX

          public float getX()

      获取x坐标,相对于屏幕的大小，范围[0 - 1]
      Returns:
        x坐标

    - #### setX

          public void setX(float x)

      设置x坐标,相对于屏幕的大小，范围[0 - 1]
      Parameters:
        `x` - x坐标

    - #### getY

          public float getY()

      获取y坐标,相对于屏幕的大小，范围[0 - 1]
      Returns:
        y坐标

    - #### setY

          public void setY(float y)

      设置y坐标,相对于屏幕的大小，范围[0 - 1]
      Parameters:
        `y` - y坐标

    - #### getActions

          public java.util.ArrayList<ActionBase> getActions()

      获取动效列表
      Returns:
        动效列表